# Method: networks.assets.adBreaks.create

- [HTTP request](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/networks.assets.adBreaks/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/networks.assets.adBreaks/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/networks.assets.adBreaks/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/networks.assets.adBreaks/create#body.request_body)
- [Response body](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/networks.assets.adBreaks/create#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/networks.assets.adBreaks/create#body.aspect)

API to create an Ad Break within the live stream.

### HTTP request

`POST https://admanagervideo.googleapis.com/v1/{parent=networks/*/assets/*}/adBreaks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` This field identifies the LiveStreamEvent that this ad break should be associated to using the live stream asset key. It must have the format of "networks/{network_code}/assets/{asset_key}" |

### Query parameters

| Parameters ||
|---|---|
| `customParent` | `string` This field identifies the LiveStreamEvent that this ad break should be associated to using the custom asset key. It must have the format of "networks/{network_code}/customAssets/{asset_key}" |
| `content` | `string` This is an alternative way to identify the LiveStreamEvent, if it's associated with a piece of content within GAM. It must have the format of "networks/{network_code}/sources/{content_source_id}/content/{cms_content_id}" |
| `adBreakId` | `string` This is the adBreakId that users can provide through the request. |

### Request body

The request body contains an instance of `https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/adBreak.networks.assets.adBreaks#AdBreak`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/adBreak.networks.assets.adBreaks#AdBreak`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/contentingestion`
- `
  https://www.googleapis.com/auth/video-ads`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).